| Home | Libraries | People | FAQ | More

## Struct template type_to_string<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >>

boost::icl::type_to_string<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >>

## Synopsis

    // In header: <boost/icl/map.hpp>

    template<typename DomainT, typename CodomainT, typename Traits,
             ICL_COMPARE Compare, ICL_COMBINE Combine, ICL_SECTION Section,
             ICL_ALLOC Alloc>
    struct type_to_string<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >> {

      // public static functions
      static std::string apply();
    };

## Description

### `type_to_string` public static functions

1.     static std::string apply();